@echo off

REM Licensed Materials - Property of IBM
REM OCO Source Materials
REM 09N6996
REM (C) Copyright IBM Corp. 2008, 2010 All Rights Reserved
REM The source code for this program is not published or other-
REM wise divested of its trade secrets, irrespective of what has
REM been deposited with the U.S. Copyright Office.

REM Find the installation directory for the Systems Director Server
set REG_FILE=%TEMP%\server.reg
set REG_KEY=HKEY_LOCAL_MACHINE\SOFTWARE\IBM\IBM Director Server\CurrentVersion
if exist %REG_FILE% del %REG_FILE%
start /w regedit /e "%REG_FILE%" "%REG_KEY%"
for /f  "usebackq tokens=1-3* delims==" %%i in (`type "%REG_FILE%" ^| find "Root"`) do (
    if /%%i==/"Root" set Root=%%j
)
set Root=%Root:\\=\%
set DIRECTOR_HOME=%Root:"=%

REM Find the installation directory for the Systems Director Common Agent
set REG_FILE=%TEMP%\agent.reg
set REG_KEY32=HKEY_LOCAL_MACHINE\SOFTWARE\IBM\IBM Director Agent\CurrentVersion
set REG_KEY64=HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\IBM\IBM Director Agent\CurrentVersion
if exist %REG_FILE% del %REG_FILE%
start /w regedit /e "%REG_FILE%" "%REG_KEY32%"
if not exist "%REG_FILE%"  start /w regedit /e "%REG_FILE%" "%REG_KEY64%"
for /f  "usebackq tokens=1-3* delims==" %%i in (`type "%REG_FILE%" ^| find "Root"`) do (
    if /%%i==/"Root" set Root=%%j
)
set Root=%Root:\\=\%
set AGENT_HOME=%Root:"=%

for /f "usebackq" %%I in (`dir /b/od "%DIRECTOR_HOME%lwi\runtime\USMiMain\eclipse\plugins\com.ibm.director.core.kernel_*"`) do (
	set LOGCOLLECTOR_HOME=%%~I
)
set LOGCOLLECTOR_HOME=%DIRECTOR_HOME%lwi\runtime\USMiMain\eclipse\plugins\%LOGCOLLECTOR_HOME%
set CLASS_PATH="%LOGCOLLECTOR_HOME%\classes\commons-cli-1.2.jar";"%LOGCOLLECTOR_HOME%"

"%DIRECTOR_HOME%jre\bin\java" -cp %CLASS_PATH% -Djava.util.logging.config.file="%LOGCOLLECTOR_HOME%\logging.properties" com.ibm.director.logcollector.LogCollector -c "%LOGCOLLECTOR_HOME%\collectors" %*
