@echo OFF
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2008, 2010 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.


SETLOCAL
SET REG_FILE=%TEMP%\agent.reg
SET REG_KEY32=HKEY_LOCAL_MACHINE\SOFTWARE\IBM\IBM Director Agent\CurrentVersion
SET REG_KEY64=HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\IBM\IBM Director Agent\CurrentVersion

IF EXIST %REG_FILE% DEL %REG_FILE%

start /w regedit /e "%REG_FILE%" "%REG_KEY32%"
if NOT EXIST "%REG_FILE%" start /w regedit /e "%REG_FILE%" "%REG_KEY64%"

FOR /F  "usebackq tokens=1-3* delims==" %%i IN (`type "%REG_FILE%" ^| Find "Root"`) DO (
  IF /%%i==/"Root" SET Root=%%j)
SET AGENT_DIRECTORY_ROOT=%Root:"=%

del %REG_FILE%

SET TWG_DIRECTORY_ROOT=%~dp0\..
CD /D "%TWG_DIRECTORY_ROOT%"
SET TWG_DIRECTORY_ROOT=%CD%
SET TWG_DIRECTORY_BIN=%TWG_DIRECTORY_ROOT%\bin
SET TWG_DIRECTORY_DATA=%TWG_DIRECTORY_ROOT%\data
SET USMI_PLUGINS_DIR=%TWG_DIRECTORY_ROOT%\lwi\runtime\USMiMain\eclipse\plugins
SET USMI_CAS_PLUGIN=%USMI_PLUGINS_DIR%\com.ibm.director.core.kernel_6.2.1
SET USMI_CAS_IMPL_PLUGIN=%USMI_PLUGINS_DIR%\com.ibm.director.core.kernel_6.2.1
SET USMI_LIBS_PLUGIN=%USMI_PLUGINS_DIR%\com.ibm.director.core.kernel_6.2.1
SET ICU_JAR=%TWG_DIRECTORY_ROOT%\lwi\runtime\agentmanager\toolkit\lib\icu4j.jar
CD /D "%TWG_DIRECTORY_BIN%"

SET CP=%USMI_CAS_IMPL_PLUGIN%\casclientusmiimpl.jar
SET CP=%CP%;%TWG_DIRECTORY_ROOT%\lwi\lib\passutils.jar
SET CP=%CP%;%TWG_DIRECTORY_ROOT%\lwi\lib\lwisecurity.jar
SET CP=%CP%;%USMI_CAS_PLUGIN%\lib\aspectjrt.jar
SET CP=%CP%;%USMI_CAS_PLUGIN%\lib\cas-agent-client.jar
SET CP=%CP%;%USMI_CAS_PLUGIN%\lib\cas-aspects.jar
SET CP=%CP%;%USMI_CAS_PLUGIN%\lib\cas-manager-client-1.3.jar
SET CP=%CP%;%USMI_CAS_PLUGIN%\lib\cas-manager-services.jar
SET CP=%CP%;%USMI_CAS_PLUGIN%\lib\cas-rm-nls.jar
SET CP=%CP%;%USMI_CAS_PLUGIN%\lib\cas-sdk.jar
SET CP=%CP%;%USMI_CAS_PLUGIN%\lib\cas-utils.jar
SET CP=%CP%;%USMI_CAS_PLUGIN%\lib\CDB_UTILS.jar
SET CP=%CP%;%USMI_CAS_PLUGIN%\lib\CDM.jar
SET CP=%CP%;%USMI_CAS_PLUGIN%\lib\gsl.jar
SET CP=%CP%;%USMI_CAS_PLUGIN%\lib\guid.jar
SET CP=%CP%;%USMI_CAS_PLUGIN%\lib\icl.jar
SET CP=%CP%;%ICU_JAR%
SET CP=%CP%;%USMI_CAS_PLUGIN%\lib\j2ee.jar
SET CP=%CP%;%USMI_CAS_PLUGIN%\lib\org.eclipse.osgi.jar
SET CP=%CP%;%USMI_CAS_PLUGIN%\classes\slp.jar
SET CP=%CP%;%USMI_CAS_PLUGIN%\lib\WebServices.jar
SET CP=%CP%;%USMI_CAS_PLUGIN%\lib\WS-Security.jar
SET CP=%CP%;%USMI_CAS_PLUGIN%\lib\wsosgi.jar
SET CP=%CP%;%USMI_LIBS_PLUGIN%\classes\DirLibs.jar
"%TWG_DIRECTORY_ROOT%\jre\bin\java.exe" -Dtwg.directory.root="%TWG_DIRECTORY_ROOT%" -Dagent.directory.root="%AGENT_DIRECTORY_ROOT%" -Djava.util.logging.config.file="%TWG_DIRECTORY_DATA%\usmi-cas-setup.properties" -cp "%CP%" com.ibm.usmi.client.cas.setup.CasSetup %*
ENDLOCAL
